Added charset declaration for HTML
[xmldoc.git] / test / check
diff --git a/test/check b/test/check
new file mode 100755 (executable)
index 0000000..190d0a0
--- /dev/null
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+FILE=$1
+STATUS=0
+
+../xp ../html.xsl $FILE.xml >$FILE.html
+diff $FILE.html.exp $FILE.html
+RESULT=$?
+if [ $STATUS == 0 ]
+then
+   STATUS=$RESULT
+fi
+
+../xp --latex ../latex.xsl $FILE.xml >$FILE.tex
+diff $FILE.tex.exp $FILE.tex
+RESULT=$?
+if [ $STATUS == 0 ]
+then
+   STATUS=$RESULT
+fi
+
+exit $STATUS